<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>API: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script>
<script type="text/javascript" async="async" src="MathJax-2.7.0/MathJax.js"></script>
<link href="doxygen_user.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="OpenSimLogoWhiteHorizontal_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">API
   &#160;<span id="projectnumber">4.4.1-2022-09-05-d4bb9bc34</span>
   </div>
   <div id="projectbrief">For MATLAB, Python, Java, and C++ users</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classOpenSim_1_1FileAdapter.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">OpenSim::FileAdapter Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classOpenSim_1_1FileAdapter.html">OpenSim::FileAdapter</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1DataAdapter.html#abf6ef44f97ac71f9cd1bd2b080491e85">clone</a>() const =0</td><td class="entry"><a class="el" href="classOpenSim_1_1DataAdapter.html">OpenSim::DataAdapter</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1DataAdapter.html#aef144edd7e61db16341aacd053062cde">createAdapter</a>(const std::string &amp;identifier)</td><td class="entry"><a class="el" href="classOpenSim_1_1DataAdapter.html">OpenSim::DataAdapter</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1FileAdapter.html#a12670e5d449cca8bf05f86e39a7741b9">createAdapterFromExtension</a>(const std::string &amp;fileName)</td><td class="entry"><a class="el" href="classOpenSim_1_1FileAdapter.html">OpenSim::FileAdapter</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1DataAdapter.html#ac36f915dd4045ef9c52344dd05efe654">DataAdapter</a>()=default</td><td class="entry"><a class="el" href="classOpenSim_1_1DataAdapter.html">OpenSim::DataAdapter</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1DataAdapter.html#a0008a82aec446f1b6355f461578eccfe">DataAdapter</a>(const DataAdapter &amp;)=default</td><td class="entry"><a class="el" href="classOpenSim_1_1DataAdapter.html">OpenSim::DataAdapter</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1DataAdapter.html#a62febc0569d61bb65f640347e09d503d">DataAdapter</a>(DataAdapter &amp;&amp;)=default</td><td class="entry"><a class="el" href="classOpenSim_1_1DataAdapter.html">OpenSim::DataAdapter</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1DataAdapter.html#af399918946e32c4792baaae9d57f6e88">extendRead</a>(const std::string &amp;sourceName) const =0</td><td class="entry"><a class="el" href="classOpenSim_1_1DataAdapter.html">OpenSim::DataAdapter</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1DataAdapter.html#a5b8abd291140013a639c3024ffa231e1">extendWrite</a>(const InputTables &amp;tables, const std::string &amp;sinkName) const =0</td><td class="entry"><a class="el" href="classOpenSim_1_1DataAdapter.html">OpenSim::DataAdapter</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1FileAdapter.html#ab9fd3aecabcaa55035e2f639332facb6">FileAdapter</a>()=default</td><td class="entry"><a class="el" href="classOpenSim_1_1FileAdapter.html">OpenSim::FileAdapter</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1FileAdapter.html#a563304fb56a2583f9a021e708cfa2845">FileAdapter</a>(const FileAdapter &amp;)=default</td><td class="entry"><a class="el" href="classOpenSim_1_1FileAdapter.html">OpenSim::FileAdapter</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1FileAdapter.html#a9ec7bf8a52d8163ccfd1747528dc8c5e">FileAdapter</a>(FileAdapter &amp;&amp;)=default</td><td class="entry"><a class="el" href="classOpenSim_1_1FileAdapter.html">OpenSim::FileAdapter</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1FileAdapter.html#ad76d0911221f80397d1b7c047984ddfa">findExtension</a>(const std::string &amp;filename)</td><td class="entry"><a class="el" href="classOpenSim_1_1FileAdapter.html">OpenSim::FileAdapter</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1DataAdapter.html#a556503152419f313eb483897a1be41f4">getDataTable</a>(const OutputTables &amp;tables, const std::string tableName)</td><td class="entry"><a class="el" href="classOpenSim_1_1DataAdapter.html">OpenSim::DataAdapter</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1FileAdapter.html#a8408af2fdb34cbe7e0aff3083a2ba60d">getNextLine</a>(std::istream &amp;stream, const std::string &amp;delims)</td><td class="entry"><a class="el" href="classOpenSim_1_1FileAdapter.html">OpenSim::FileAdapter</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1DataAdapter.html#a77fcec7eb62bc89789fbf836389d5950">InputTables</a> typedef</td><td class="entry"><a class="el" href="classOpenSim_1_1DataAdapter.html">OpenSim::DataAdapter</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1FileAdapter.html#af34e37de460273c64c7902ed7756375a">operator=</a>(const FileAdapter &amp;)=default</td><td class="entry"><a class="el" href="classOpenSim_1_1FileAdapter.html">OpenSim::FileAdapter</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1FileAdapter.html#a40c496a1500e36cbc11a5646d9e266cb">operator=</a>(FileAdapter &amp;&amp;)=default</td><td class="entry"><a class="el" href="classOpenSim_1_1FileAdapter.html">OpenSim::FileAdapter</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1DataAdapter.html#a75c26383f9e5ae455ea804f07d04b763">OpenSim::DataAdapter::operator=</a>(const DataAdapter &amp;)=default</td><td class="entry"><a class="el" href="classOpenSim_1_1DataAdapter.html">OpenSim::DataAdapter</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1DataAdapter.html#a80a45642463cb62a05f6f62440855fca">OpenSim::DataAdapter::operator=</a>(DataAdapter &amp;&amp;)=default</td><td class="entry"><a class="el" href="classOpenSim_1_1DataAdapter.html">OpenSim::DataAdapter</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1DataAdapter.html#aa70731950b2d90af75eb1f4066c43c47">OutputTables</a> typedef</td><td class="entry"><a class="el" href="classOpenSim_1_1DataAdapter.html">OpenSim::DataAdapter</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1DataAdapter.html#a7b8e9cede726e0eb399cb95c06f77b49">read</a>(const std::string &amp;dataSourceSpecification) const</td><td class="entry"><a class="el" href="classOpenSim_1_1DataAdapter.html">OpenSim::DataAdapter</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1DataAdapter.html#a62f03a9de403f04f57ba03ca333407de">registerDataAdapter</a>(const std::string &amp;identifier, const DataAdapter &amp;adapter)</td><td class="entry"><a class="el" href="classOpenSim_1_1DataAdapter.html">OpenSim::DataAdapter</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1DataAdapter.html#a4176166178df34d602b2e01bd7cd026d">RegisteredDataAdapters</a> typedef</td><td class="entry"><a class="el" href="classOpenSim_1_1DataAdapter.html">OpenSim::DataAdapter</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1FileAdapter.html#a4c0df59f7019f251683ba2c46b80de3e">tokenize</a>(const std::string &amp;str, const std::string &amp;delims)</td><td class="entry"><a class="el" href="classOpenSim_1_1FileAdapter.html">OpenSim::FileAdapter</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1FileAdapter.html#a5cc85bf83a407507fd13a661cc88843a">writeFile</a>(const InputTables &amp;tables, const std::string &amp;fileName)</td><td class="entry"><a class="el" href="classOpenSim_1_1FileAdapter.html">OpenSim::FileAdapter</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1DataAdapter.html#a1fa627d27f596e810e49498e6eda8a16">~DataAdapter</a>()=default</td><td class="entry"><a class="el" href="classOpenSim_1_1DataAdapter.html">OpenSim::DataAdapter</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1FileAdapter.html#a85732be30639f7ed997b9d11df60cee8">~FileAdapter</a>()=default</td><td class="entry"><a class="el" href="classOpenSim_1_1FileAdapter.html">OpenSim::FileAdapter</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Mon Sep 5 2022 20:49:44 for API by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.0 </li>
  </ul>
</div>
</body>
</html>
